Subject: Re: e2fsck?

From: Daris Nevil <[email-masked]>
Date: Wed, 17 May 2000 09:32:31 -0500

Steve,

I may be getting mixed up with another utility, but I think that e2fsck
requires the /proc filesystem to be mounted.  You can do this by:

    mount -p proc /proc /proc

Give that a try and let us know if that solves the problem.

Daris Nevil
SiSIC Inc/Simple Network Magic Corporation
www.snmc.com

Steve Rossi wrote:

> Has anyone successfully compiled e2fsck for 8xx? I was able to compile
> it and run it, but it seg faults with the following output:
>
> sh-2.03# e2fsck /dev/sda2
> e2fsck 1.18, 11-Nov-1999 for EXT2 FS 0.5b, 95/08/09
> /dev/sda2 contains a file system with errors, check forced.
> Pass 1: Checking inodes, blocks, and sizes
> Segmentation fault
>
> TIA,
> Steve
>
> --
> -------------------------------------------------------
> Steven K. Rossi                     [email-masked]
> Staff Engineer
> Multimedia Communications Research Laboratory
> Motorola Labs
> -------------------------------------------------------
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/